SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Generic)  >   Oracle Java SE Vendors:   Sun
Java Runtime Environment Buffer Overflows in unpack200 Utility Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1021894
SecurityTracker URL:  http://securitytracker.com/id/1021894
CVE Reference:   CVE-2009-1095, CVE-2009-1096   (Links to External Site)
Updated:  Mar 26 2009
Original Entry Date:  Mar 25 2009
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): Prior to 5.0 Update 18 and 6 Update 13
Description:   A vulnerability was reported in Sun Java Runtime Environment (JRE) in the unpack200 utility. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted applet or Java Web Start application that, when unpacked with the unpack200 JAR unpacking utility by the target user, will trigger an integer overflow or buffer overflow to gain elevated privileges on the target system. The applet can access files and execute files on the target system.

regenrecht working with the iDefense VCP and Chris Evans of Google reported this vulnerability.

Impact:   A remote user can create an applet or application that, when loaded by the target user, will gain privleges on the target user's system.
Solution:   The vendor has issued the following fixes.

* JDK and JRE 5.0 Update 18 or later
* JDK and JRE 6 Update 13 or later

Java SE releases are available at:

JDK and JRE 6 Update 13:

* http://java.sun.com/javase/downloads/index.jsp

JRE 6 Update 13:

* http://java.com/
* Through the Java Update tool for Microsoft Windows users

JDK 6 Update 13 for Solaris is available in the following patches:

* Java SE 6: update 13 (as delivered in patch 125136-14)
* Java SE 6: update 13 (as delivered in patch 125137-14 (64bit))
* Java SE 6_x86: update 13 (as delivered in patch 125138-14)
* Java SE 6_x86: update 13 (as delivered in patch 125139-14 (64bit))

JDK and JRE 5.0 Update 18:

* http://java.sun.com/javase/downloads/index_jdk5.jsp

JDK 5.0 Update 18 for Solaris is available in the following patches:

* J2SE 5.0: update 18 (as delivered in patch 118666-19)
* J2SE 5.0: update 18 (as delivered in patch 118667-19 (64bit))
* J2SE 5.0_x86: update 18 (as delivered in patch 118668-19)
* J2SE 5.0_x86: update 18 (as delivered in patch 118669-19 (64bit))

Java SE for Business releases are available at:

* http://www.sun.com/software/javaseforbusiness/getit_download.jsp

The vendor's advisory is available at:

http://sunsolve.sun.com/search/document.do?assetkey=1-66-254570-1

Vendor URL:  sunsolve.sun.com/search/document.do?assetkey=1-66-254570-1 (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Solaris - SunOS), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 26 2009 (Red Hat Issues Fix) Java Runtime Environment Buffer Overflows in unpack200 Utility Lets Remote Users Execute Arbitrary Code
Red Hat has released a fix for java-1.5.0-sun for Red Hat Enterprise Linux 4 and 5.
Mar 26 2009 (Red Hat Issues Fix) Java Runtime Environment Buffer Overflows in unpack200 Utility Lets Remote Users Execute Arbitrary Code
Red Hat has released a fix for java-1.6.0-sun for Red Hat Enterprise Linux 4 and 5.
Apr 8 2009 (Red Hat Issues Fix) Java Runtime Environment Buffer Overflows in unpack200 Utility Lets Remote Users Execute Arbitrary Code
Red Hat has released a fix for java-1.6.0-openjdk for Red Hat Enterprise Linux 5.
May 19 2009 (Red Hat Issues Fix) Java Runtime Environment Buffer Overflows in unpack200 Utility Lets Remote Users Execute Arbitrary Code
Red Hat has released a fix for java-1.5.0-ibm for Red Hat Enterprise Linux 4 and 5.
May 27 2009 (HP Issues Fix for HP-UX) Java Runtime Environment Buffer Overflows in unpack200 Utility Lets Remote Users Execute Arbitrary Code
HP has issued a fix for HP-UX 11.11, 11.23, and 11.31.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC